
D4Science Infrastructure - Task #11873

Fix the networking bug introduced by cloud-init on Ubuntu 16.04 oVirt guests

Jun 04, 2018 06:28 PM - Andrea Dell'Amico

Status: Closed Start date: Jun 04, 2018

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: Migrate from Xen to a new virtualisation

system

  

Infrastructure: Development, Pre-Production,

Production

  

Description

The networks is always reset to dhcp, and the server URL from where it gets the host information is wrong.

Related issues:

Related to D4Science Infrastructure - Incident #11870: Two huge problems on t... Closed Jun 01, 2018

History

#1 - Jun 04, 2018 06:29 PM - Andrea Dell'Amico

- Related to Incident #11870: Two huge problems on the oVirt cluster added

#2 - Jun 04, 2018 06:30 PM - Andrea Dell'Amico

I just made a test on one of the guests. Removing cloud-init - after the VM first initialisation - has no collateral effects. It seems the way to go to me,

one less service on the VM.

#3 - Jun 04, 2018 06:58 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#4 - Jun 04, 2018 07:02 PM - Andrea Dell'Amico

- % Done changed from 0 to 100

I just added - and run - a role that removes the cloud-init package (default) or tells cloud-init not to mess with the network configuration. It's executed

on the oVirt guests only.

#5 - Jun 04, 2018 07:07 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

I've run it against every oVirt guest. Now the reboot/poweroff/poweron operations should be safe. I tried the operation on more than one guest.
